{% extends 'base.html' %}

{% block content %}
    {% if messages %}
    {% for messages in messages %}
        <div class="alert alert-warning alert-dismissabble" role="alert">
            <button class="close" data-dismiss="alert">
                <small><sup>x</sup></small>
            </button>
            {{ messages }}
        </div>
    {% endfor %}
    {% endif %}

     {% if all_items %}   
        <table class="table table-bordered">
        
        <tr class="table-secondary">
            <th>Event Name</th>
            <th><center>Event Status</center></th>
            <th><center>Delete Event</center></th>
            <th><center>Resgistration</center></th>
        </tr>
        {% for things in all_items %}
            {% if things.completed %}
                <tr class="table-secondary">
                    <td>{{ things.item }}</td>
                    <td><center><a href="{% url 'uncross' things.id %}">Finished</a></center></td>
                    <td><center><a href="{% url 'delete' things.id %}">Delete</a></center></td>
                    <td><center><a href="{% url 'add' %}">Add</a></center></td>
                </tr>
            {% else %}
                <tr class="table-secondary">
                    <td>{{ things.item }}</td>
                    <td><center><a href="{% url 'cross_off' things.id %}">Not Finished</a></center></td>
                    <td><center><a href="{% url 'delete' things.id %}">Delete</a></center></td>
                    <td><center><a href="{% url 'add' %}">Add</a></center></td>
                </tr>
            {% endif %}

        {% endfor %}
        </table>
     {% endif %}

{% endblock %}